
set echo on

set autotrace traceonly explain

WITH inline_view AS (
   SELECT region
   ,      SUM(order_amt) AS total_orders
   FROM   sales
   GROUP  BY
          region
   )
SELECT *
FROM   inline_view;

WITH inline_view AS (
   SELECT /*+ materialize */
          region
   ,      SUM(order_amt) AS total_orders
   FROM   sales
   GROUP  BY
          region
   )
SELECT *
FROM   inline_view;

set autotrace off
