
set echo on

CREATE TYPE object_type AS OBJECT
( attr1 VARCHAR2(30)
, attr2 VARCHAR2(30)
);
/

set autotrace traceonly explain

WITH subquery_with_object AS (
   SELECT /*+ materialize */
          object_type(region,product)
   FROM   sales
   )
SELECT COUNT(*)
FROM   subquery_with_object;

WITH subquery_without_object AS (
   SELECT /*+ materialize */
          region
   ,      product
   FROM   sales
   )
SELECT COUNT(*)
FROM   subquery_without_object;

set autotrace off


