
set echo on

CREATE VIEW view_with_subquery
AS
   (
    WITH subquery_name AS (
       SELECT SYSDATE AS date_column
       FROM   dual
       )
    SELECT date_column
    FROM   subquery_name
   );

CREATE OR REPLACE VIEW view_with_subquery
AS
   WITH subquery_name AS (
      SELECT SYSDATE AS date_column
      FROM   dual
      )
   SELECT date_column
   FROM   subquery_name;

